Brivio API reference
Contract obligations

Create a contract obligation (scope: contracts:write)

POST
/contract-obligations

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
contract_id*string
Formatuuid
title*string
Lengthlength <= 255
type?string
Value in"payment""delivery""report""renewal_notice""custom"
due_date?string
Formatdate
recurrence?string
Value in"none""monthly""quarterly""yearly"
remind_days_before?integer
Range0 <= value <= 365
obligor?string
Value in"us""counterparty"
assignee_user_id?string

Must be a member of the organization (ASSIGNEE_NOT_MEMBER).

Formatuuid
clause_label?string
Lengthlength <= 80
clause_excerpt?string
description?string
evidence_document_id?string

An organization document (DOCUMENT_NOT_FOUND).

Formatuuid
evidence_note?string
Lengthlength <= 2000

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/contract-obligations" \  -H "Content-Type: application/json" \  -d '{    "contract_id": "9aafc1a8-e497-46c9-ba0b-bd5b03c353e4",    "title": "string"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "contract_id": "9aafc1a8-e497-46c9-ba0b-bd5b03c353e4",    "contract_name": "string",    "title": "string",    "type": "payment",    "due_date": "2019-08-24",    "recurrence": "none",    "remind_days_before": 0,    "status": "pending",    "bucket": "overdue",    "obligor": "us",    "assignee_user_id": "e942d24d-8cee-4fa2-bf68-164509e32e2f",    "assignee_name": "string",    "clause_label": "string",    "clause_excerpt": "string",    "description": "string",    "evidence_document_id": "4d73e466-0412-4b50-977b-ddd99c8647ea",    "evidence_note": "string",    "has_evidence": true,    "completed_at": "2019-08-24T14:15:22Z",    "overdue_notified_at": "2019-08-24T14:15:22Z",    "escalated_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}